package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsSopPoints;

import java.util.List;

/**
 * SOP隔离点Service接口
 *
 * @author cgj
 * @date 2024-10-18
 */
public interface IIsSopPointsService extends IService<IsSopPoints>
{
    /**
     * 查询SOP隔离点
     *
     * @param recordId SOP隔离点主键
     * @return SOP隔离点
     */
    IsSopPoints selectIsSopPointsByRecordId(Long recordId);

    /**
     * 查询SOP隔离点列表
     *
     * @param isSopPoints SOP隔离点
     * @return SOP隔离点集合
     */
    List<IsSopPoints> selectIsSopPointsList(IsSopPoints isSopPoints);

    /**
     * 新增SOP隔离点
     *
     * @param isSopPoints SOP隔离点
     * @return 结果
     */
    int insertIsSopPoints(IsSopPoints isSopPoints);

    /**
     * 修改SOP隔离点
     *
     * @param isSopPoints SOP隔离点
     * @return 结果
     */
    int updateIsSopPoints(IsSopPoints isSopPoints);

    /**
     * 批量删除SOP隔离点
     *
     * @param recordIds 需要删除的SOP隔离点主键集合
     * @return 结果
     */
    int deleteIsSopPointsByRecordIds(String recordIds);

    /**
     * 删除SOP隔离点信息
     *
     * @param recordId SOP隔离点主键
     * @return 结果
     */
    int deleteIsSopPointsByRecordId(Long recordId);
}
